%define upstream_name    Email-LocalDelivery
%define upstream_version 1.201

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Deliver a piece of email - simply
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Email::FolderType) >= 0.700.0
BuildRequires: perl(Email::Simple) >= 1.998.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Path::Expand) >= 1.10.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Symbol)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module delivers an email to a list of mailboxes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.201.0-2.mga10
+ Revision: 2214662
- Mageia 10 Mass Rebuild

* Tue May 31 2022 tv <tv> 1.201.0-1.mga9
+ Revision: 1860828
- update to 1.201

* Sun Mar 20 2022 umeabot <umeabot> 1.200.0-8.mga9
+ Revision: 1803484
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.200.0-7.mga8
+ Revision: 1494437
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.200.0-6.mga7
+ Revision: 1267844
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-5.mga6
+ Revision: 1026903
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.200.0-4.mga6
+ Revision: 947043
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.200.0-3.mga5
+ Revision: 742620
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.200.0-2.mga5
+ Revision: 684619
- Mageia 5 Mass Rebuild

* Mon Mar 17 2014 jquelin <jquelin> 1.200.0-1.mga5
+ Revision: 604359
- update to 1.200

* Fri Mar 14 2014 jquelin <jquelin> 0.217.0-1.mga5
+ Revision: 603670
- adding missing buildrequires:
- imported package perl-Email-LocalDelivery
+ bcornec <bcornec>
- The Build of perl-Email-LocalDelivery requires perl-File-Path-Expand for tests


* Mon May 16 2011 cpan2dist 0.217-1mga
- initial mageia release, generated with cpan2dist
